
electronique_base_temps_005_12f675_Main_Init:

;electronique_base_temps_005_12f675.mpas,4 :: 		begin
;electronique_base_temps_005_12f675.mpas,5 :: 		CMCON := %00000111;   // comparators OFF
	MOVLW      7
	MOVWF      CMCON+0
;electronique_base_temps_005_12f675.mpas,6 :: 		OPTION_REG.NOT_GPPU := 1;  // disable pullup
	BSF        OPTION_REG+0, 7
;electronique_base_temps_005_12f675.mpas,7 :: 		INTCON.GIE := 1;
	BSF        INTCON+0, 7
;electronique_base_temps_005_12f675.mpas,8 :: 		INTCON.T0IE := 1;
	BSF        INTCON+0, 5
;electronique_base_temps_005_12f675.mpas,9 :: 		INTCON.T0IF := 0;
	BCF        INTCON+0, 2
;electronique_base_temps_005_12f675.mpas,10 :: 		TRISIO := $00;
	CLRF       TRISIO+0
;electronique_base_temps_005_12f675.mpas,11 :: 		ANSEL := %00100000;  // analogs disabled
	MOVLW      32
	MOVWF      ANSEL+0
;electronique_base_temps_005_12f675.mpas,12 :: 		OPTION_REG.T0CS := 0;  // bit 5 TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;electronique_base_temps_005_12f675.mpas,13 :: 		OPTION_REG.T0SE := 0;  // bit 4 TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;electronique_base_temps_005_12f675.mpas,14 :: 		OPTION_REG.PSA  := 0;  // bit 3 Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BCF        OPTION_REG+0, 3
;electronique_base_temps_005_12f675.mpas,15 :: 		OPTION_REG.PS2  := 1;  // bits 2-0  PS2:PS0: Prescaler Rate Select bits
	BSF        OPTION_REG+0, 2
;electronique_base_temps_005_12f675.mpas,16 :: 		OPTION_REG.PS1  := 0;
	BCF        OPTION_REG+0, 1
;electronique_base_temps_005_12f675.mpas,17 :: 		OPTION_REG.PS0  := 1;
	BSF        OPTION_REG+0, 0
;electronique_base_temps_005_12f675.mpas,18 :: 		TMR0 := 15;             // preset for timer register
	MOVLW      15
	MOVWF      TMR0+0
;electronique_base_temps_005_12f675.mpas,19 :: 		end;
	RETURN
; end of electronique_base_temps_005_12f675_Main_Init

electronique_base_temps_005_12f675_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_base_temps_005_12f675.mpas,22 :: 		begin
;electronique_base_temps_005_12f675.mpas,23 :: 		if TestBit(INTCON, T0IF) then
	CLRF       R0+0
	BTFSS      INTCON+0, 2
	GOTO       L_electronique_base_temps_005_12f675_Interrupt5
	MOVLW      1
	MOVWF      R0+0
L_electronique_base_temps_005_12f675_Interrupt5:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_base_temps_005_12f675_Interrupt3
;electronique_base_temps_005_12f675.mpas,25 :: 		GPIO.0 := GPIO.0 xor 1;
	MOVLW      1
	XORWF      GPIO+0, 1
;electronique_base_temps_005_12f675.mpas,26 :: 		TMR0 := 15;             // preset for timer register
	MOVLW      15
	MOVWF      TMR0+0
;electronique_base_temps_005_12f675.mpas,27 :: 		ClearBit(INTCON, T0IF);
	BCF        INTCON+0, 2
;electronique_base_temps_005_12f675.mpas,28 :: 		end;
L_electronique_base_temps_005_12f675_Interrupt3:
;electronique_base_temps_005_12f675.mpas,29 :: 		end;
L_electronique_base_temps_005_12f675_Interrupt12:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of electronique_base_temps_005_12f675_Interrupt

_main:

;electronique_base_temps_005_12f675.mpas,31 :: 		begin
;electronique_base_temps_005_12f675.mpas,32 :: 		Main_Init;
	CALL       electronique_base_temps_005_12f675_Main_Init+0
;electronique_base_temps_005_12f675.mpas,33 :: 		while true do
L__main8:
;electronique_base_temps_005_12f675.mpas,36 :: 		end;
	GOTO       L__main8
;electronique_base_temps_005_12f675.mpas,37 :: 		end.
	GOTO       $+0
; end of _main
